package com.usky.dxtop.controller.web.business;

import com.alibaba.fastjson.JSONObject;
import com.usky.dxtop.common.utils.http.HttpUtils;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.model.Staff;
import com.usky.dxtop.service.OrderService;
import com.usky.dxtop.service.StaffService;
import com.usky.dxtop.service.api.OneCardApi;
import com.usky.dxtop.service.api.SmApi;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

@RestController
@RequestMapping("/test")
public class TestController {



    @Autowired
    private StaffService staffService;

    @Autowired
    private OrderService orderService;

    @GetMapping("/sendStaff")
    public String sendStaff(@RequestParam Long staffId,@RequestParam String card,@RequestParam Integer type){
        Staff staff = staffService.getById(staffId);
        staff.setCardId(card);
        staffService.personSendMessage(staff,type);
        return "";
    }


    @GetMapping("/orderSuccess")
    public String testOrderSuccess(@RequestParam Long orderId){
        Order byId = orderService.getById(orderId);
        orderService.paySuccess(byId);
        return "";
    }
}
