package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * @author yq
 * @date 2022/6/10 13:18
 */
@Data
public class OrderFileVO {

    /**
     * 用户名称
     */
    @Excel(name = "用户名称",width = 14)
    @NotBlank(message = "[用户名称]不能为空")
    private String userName;
    /**
     * 用户手机号
     */
    @NotBlank(message = "[用户手机号]不能为空")
    @Excel(name = "用户手机号",width = 14)
    private String userPhone;
    /**
     * 订单金额
     */
    @Excel(name = "订单金额",width = 14)
    private BigDecimal money;

    private String errorMessage;
}
